#ifndef HRTIMER_H__
#define HRTIMER_H__

#ifdef HRTIMER_X86

# include "hrtimer_x86.h"
# define HRTIME_T uint64_t
# define HRTIMER_USEC() (hrtimer_x86_calibrate())
# define HRTIMER() (hrtimer_x86())
# define HRTIMER_GET(val) (HRTIMER_X86_GET((val)))

#else /* ! HRTIMER_X86 */

# define HRTIME_T int
# define HRTIMER_USEC() (0)
# define HRTIMER() (0)
# define HRTIMER_GET(val) ((val) = 0)

#endif /* HRTIMER_X86 */

#endif /* HRTIMER_H__ */
